

.. _groovy_def:

=====================
Groovy definition
=====================

.. contents::
   :depth: 3

Wikipedia definition
=====================

.. seealso::

   - https://en.wikipedia.org/wiki/Apache_Groovy


Apache Groovy is a Java-syntax-compatible object-oriented programming
language for the Java platform.

It is both a static and dynamic language with features similar to those
of Python, Ruby, Perl, and Smalltalk.

It can be used as both a programming language and a scripting language
for the Java Platform, is compiled to Java virtual machine (JVM) bytecode,
and interoperates seamlessly with other Java code and libraries.

Groovy uses a curly-bracket syntax similar to Java's.

Groovy supports closures, multiline strings, and expressions embedded
in strings. Much of Groovy's power lies in its AST transformations,
triggered through annotations.

Groovy 1.0 was released on January 2, 2007, and Groovy 2.0 in July, 2012.

Since version 2, Groovy can be compiled statically, offering type
inference and performance near that of Java.

Groovy 2.4 was the last major release under Pivotal Software's sponsorship
which ended in March 2015.

Groovy 2.5.6 is the latest stable version of Groovy.

Groovy has since changed its governance structure to a Project Management
Committee in the Apache Software Foundation.
